Bug 910511 - (knavalbattle) Review Request: knavalbattle - A ship sinking game
Review Request: knavalbattle - A ship sinking game
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: nucleo
Fedora Extras Quality Assurance
:
Depends On: libkdegames
Blocks: kde-reviews kde-4.10
  Show dependency treegraph
 
Reported: 2013-02-12 13:40 EST by Rex Dieter
Modified: 2013-02-16 14:25 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-16 14:25:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
alekcejk: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2013-02-12 13:40:53 EST
Spec URL: http://rdieter.fedorapeople.org/rpms/kdegames/knavalbattle.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/kdegames/knavalbattle-4.10.0-1.fc18.src.rpm
Description: A ship sinking game
Fedora Account System Username: rdieter
Comment 1 nucleo 2013-02-14 18:40:11 EST
Code under GPLv2+ license, doc under GFDL, license tag must be:

License: GPLv2+ and GFDL

COPYING.DOC must be added in %doc
Add notices for parts under different licenses.

Also useful AUTHORS file can be added:
%doc AUTHORS

Detailed %description from documentation:

Naval Battle is a ship sinking game for KDE. Ships are placed on a board
which represents the sea. Players try to hit each others ships in turns
without knowing where they are placed. The first player to destroy all
ships wins the game.

rpmlint output:
$ rpmlint knavalbattle-4.10.0-1.fc18.i686.rpm knavalbattle-debuginfo-4.10.0-1.fc18.i686.rpm knavalbattle-4.10.0-1.fc18.src.rpm knavalbattle.spec 
knavalbattle.i686: W: no-manual-page-for-binary kbattleship
knavalbattle.src:69: W: macro-in-comment %{name}
knavalbattle.src:70: W: macro-in-comment %{name}
knavalbattle.src:73: W: macro-in-comment %{name}
knavalbattle.spec:69: W: macro-in-comment %{name}
knavalbattle.spec:70: W: macro-in-comment %{name}
knavalbattle.spec:73: W: macro-in-comment %{name}
3 packages and 1 specfiles checked; 0 errors, 7 warnings.


Commented lines should be removed.
Comment 2 Rex Dieter 2013-02-15 08:45:37 EST
Spec URL: http://rdieter.fedorapeople.org/rpms/kdegames/knavalbattle.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/kdegames/knavalbattle-4.10.0-2.fc18.src.rpm

%changelog
* Fri Feb 15 2013 Rex Dieter <rdieter@fedoraproject.org> 4.10.0-2
- update license, description
Comment 3 nucleo 2013-02-16 13:31:52 EST
Also COPYING.DOC needs to be added and notices for parts under different licenses.

But everything else is fine.




MUST Items:
+ rpmlint output
  $ rpmlint knavalbattle-4.10.0-1.fc18.i686.rpm knavalbattle-debuginfo-4.10.0-1.fc18.i686.rpm knavalbattle-4.10.0-2.fc18.src.rpm knavalbattle.spec 
    knavalbattle.i686: W: no-manual-page-for-binary kbattleship
    3 packages and 1 specfiles checked; 0 errors, 1 warnings.
+ named and versioned according to the Package Naming Guidelines.
  Package name match the upstream tarball name knavalbattle-4.10.0.tar.xz
+ spec file name knavalbattle.spec matches base package name
+ complies with all the legal guidelines:
  + License: GPLv2+ and GFDL, matches actual license
  + No known patent problems
  + No emulator, no firmware, no binary-only or prebuilt components
+ COPYING (GNU GENERAL PUBLIC LICENSE Version 2), COPYING.DOC (GNU Free Documentation License Version 1.2) packaged as %doc
+ source matches upstream:
  MD5: 7fc88b443a62cbbda40e42ef6aa9359e  knavalbattle-4.10.0.tar.xz
  SHA1: a52486a7f3109633ce340981c6c1706312b69606  knavalbattle-4.10.0.tar.xz
  SHA256: 45850f6420ff62affd105e827beccc1ae5dbee84b398dd1f851af75b6aff13b1  knavalbattle-4.10.0.tar.xz
+ builds on at least one arch
  build from mock is in F18 kde-unstable repo
+ no known non-working arches, so no ExcludeArch needed
+ no missing BuildRequires (builds in mock)
+ locales are handled properly by using %find_lang kbattleship --with-kde
+ ldconfig call not needed (no shared libraries)
+ no duplicated system libraries
+ package not relocatable (no Prefix tag)
+ directory ownership correct (doesn't own directories owned by another package, owns all package-specific directories %{_kde4_appsdir}/kbattleship/)
+ no duplicate files in %files
+ permissions correct, %defattr(-,root,root,-) not needed now, executables have executable permissions
+ macros used where possible (%{name}, %{version}, %{buildroot}, %{_target_platform}, %{cmake_kde4}, %{_kde4_datadir}, %{_kde4_bindir}, %{_kde4_iconsdir},%{_kde4_appsdir} )
+ non-code content: only permitted content, data files under license that matches the code
+ no large documentation files, so no -doc package needed
+ no %doc files required at runtime
+ no header files, no -devel package needed
+ no static libraries, so no -static package needed
+ no devel symlinks which would need to be in a -devel subpackage
+ devel packages must require the base package (no -devel package)
+ no .la files
+ kbattleship.desktop file for the GUI app kbattleship present
+ desktop-file-validate is used in %check and the kbattleship.desktop file passes validation
+ all filenames are valid UTF-8
+ other packaging guidelines:
  + complies with the Filesystem Hierarchy Standard (all files in  %{_kde4_datadir}, %{_kde4_bindir}, %{_kde4_iconsdir},%{_kde4_appsdir})
  + proper changelog, tags, BuildRequires, Summary, Description (got from knavalbattle's documentation)
  + no non-UTF-8 characters
  + all relevant documentation included as %doc (COPYING, COPYING.DOC, AUTHORS)
  + RPM_OPT_FLAGS are used in %{cmake_kde4} macro
  + debuginfo package is valid (contains stripped symbols from ELF binary and source code related to it)
  + no rpaths (no check-rpaths error)
  + no configuration files, so %config guideline doesn't apply
  + no init scripts, so init script guideline doesn't apply
  + timestamps are preserved
  + %{?_smp_mflags} used
  + not a web application, so web application guideline doesn't apply
  + no conflicts (kdegames-4.10.0 is metapackage now which not includes apps)

SHOULD Items:
+ license already included upstream
+ no translations for description and summary provided by upstream
+ package builds in mock (built for kde-unstable)
- successfully tested the package functionality (no testing yet)
+ scriptlets are sane (updating icon chache in %post, %postun, %posttrans)
+ subpackages other than devel should require the base package using a fully versioned dependency (no subpackages)
+ no .pc files, so "placement of .pc files" is irrelevant
+ no file dependencies
- package should contain man pages for binaries/scripts

APPROVED
Comment 4 Rex Dieter 2013-02-16 13:46:39 EST
New Package SCM Request
=======================
Package Name: knavalbattle
Short Description: A ship sinking game
Owners: than rdieter jreznik kkofler ltinkl rnovacek
Branches: f17 f18
InitialCC:
Comment 5 Jon Ciesla 2013-02-16 14:03:59 EST
Git done (by process-git-requests).
Comment 6 Rex Dieter 2013-02-16 14:25:06 EST
imported

Note You need to log in before you can comment on or make changes to this bug.